[CITE-Forum] Conflicts between wcs 1.0 and 1.1

Raj Singh rsingh at opengeospatial.org
Tue Aug 12 15:39:44 EDT 2008


Those new wcs 1.0.0 tests are still in beta, so there's no problem  
with modifying them to work better.

---
Raj


On Aug 12, 2008, at 3:37 PM, Justin Deoliveira wrote:

> These are the new wcs 1.0.0 tests taken directly from the subversion  
> repsitory. Revision 2363, however I just updated to 2426 and saw  
> some updates, but nothing to the wcs tests.
>
> -Justin
>
> Raj Singh wrote:
>> Are you talking about the "old" WCS 1.0.0 tests based on the  
>> OpenGroup  engine, or the "new" WCS 1.0.0 tests?
>> ---
>> Raj
>> On Aug 12, 2008, at 10:39 AM, Normand Savard wrote:
>>> Justin Deoliveira wrote:
>>>> Hi All,
>>>>
>>>> I think this issue came up during ows 5 and the wcs 1.1 testbed,   
>>>> but I
>>>> thought I would bring it up again.
>>>>
>>>> Basically its not possible to pass all of the wcs 1.0 test cases   
>>>> while
>>>> wcs 1.1 is active. The reason being that many of the tests omit the
>>>> version parameter from requests, and then test for a particular
>>>> exception. I can provide a list of all the tests that fail if  
>>>> need  be.
>>>>
>>>> I am wondering if there is anything that can be done about this?   
>>>> Perhaps
>>>> modifying the wcs 1.0 test suite? Currently the only workaround  
>>>> to  pass
>>>> the wcs 1.0 tests in GeoServer is to manually disable wcs 1.1   
>>>> support...
>>>> which is not ideal.



More information about the CITE-Forum mailing list